// VectSort.h: interface for the CVectSort class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VECTSORT_H__C9EF6B51_88ED_4F02_B56C_189C1DA097B1__INCLUDED_)
#define AFX_VECTSORT_H__C9EF6B51_88ED_4F02_B56C_189C1DA097B1__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CVectSort  
{
public:
	int SortAscending(const int *unsortedVect, int *sortedVect, int size);
	int SortDescending(const int *unsortedVect, int *sortedVect, int size);
	double SortAscending(const double *unsortedVect, double *sortedVect, int size);
	double SortDescending(const double *unsortedVect, double *sortedVect, int size);
	CVectSort();
	virtual ~CVectSort();

private:
	double BubbleSort(const double *src, double *dst, int size, bool ascending);
	int BubbleSort(const int *src, int *dst, int size, bool ascending);
};

#endif // !defined(AFX_VECTSORT_H__C9EF6B51_88ED_4F02_B56C_189C1DA097B1__INCLUDED_)
